#!/bin/sh
# zchipcardd.sh - (c) 2003 Martin Preuss<martin@libchipcard.de>
# Part of LibChipCard 0.8.
#
# This is a simple init script for the chipcard daemon provided by
# LibChipCard (http://www.libchipcard.de).
# The name of this script starts with a "z" to increase the chance of getting
# started AFTER the PC/SC daemon (pcscd)


CHIPCARDD="/usr/local/sbin/chipcardd"

case "$1" in
start)
  if test -x "$CHIPCARDD"; then
    $CHIPCARDD && echo -n "chipcardd"
  fi
  ;;
  
stop)
  killall chipcardd && echo "chipcard"
  ;;
  
*)
  echo ""
  echo "Usage: `basename $0` { start | stop }"
  echo ""
  exit 64
  ;;
esac
